#!/usr/bin/python

import fileinput
import math
import re
import sys
import time

empty = re.compile("^\s*$")
delim = re.compile(":\s{2}")
stripped = {}

for line in fileinput.input():
    if empty.match(line):
        continue

    print line
    stripped = delim.split(line.strip())
    print len(stripped)
